%define upstream_name File_PDF
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.3
Release:     	%mkrel 1
Summary:    	PDF generation using only PHP
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_PDF-%{version}.tgz
URL: 		http://pear.php.net/package/File_PDF
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
This package provides PDF generation using only PHP, without requiring any
external libraries.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_PDF.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_PDF.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_PDF
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/File_PDF.xml


%changelog

* Mon Jan 23 2012 spuhler <spuhler> 0.3.3-1.mga2
+ Revision: 200061
- upgrade to 0.3.3
  pearized spec file

* Mon Jan 17 2011 spuhler <spuhler> 0.3.2-5.mga1
+ Revision: 20744
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-File_PDF

